Skip to main content
GET
/
api
/
platform
/
api-keys
List API keys
curl --request GET \
  --url https://api-next.dealroom.co/api/platform/api-keys \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "name": "<string>",
      "client_id": "<string>",
      "permissions": [
        "<string>"
      ],
      "allowed_origins": [
        "<string>"
      ],
      "allowed_callback_urls": [
        "<string>"
      ],
      "last_used_at": "<string>",
      "created_at": "<string>",
      "created_by": "<string>"
    }
  ],
  "page": {
    "limit": 123,
    "offset": 123,
    "next_cursor": "<string>",
    "prev_cursor": "<string>",
    "total": 123,
    "capped": true,
    "ecosystem": "<string>"
  }
}

Authorizations

Authorization
string
header
required

OAuth2 client-credentials flow against the Dealroom Auth0 tenant. Use the client_id / client_secret from a Programmatic API key. Tokens are valid for 24h — Swagger UI will reuse the same token across operations.

Query Parameters

limit
integer<int32>
default:25

Number of results to return (1-2000, default 25)

Required range: 1 <= x <= 2000
Example:

25

offset
integer<int32>
default:0

Number of results to skip before returning data. Combine with limit for offset-based pagination.

Required range: x >= 0
Example:

0

Response

List of API keys

data
object[]
required
page
object
required